QGIS Application - Bug report #19629
Crash on New Shapefile Layer
2018-08-15 03:00 PM - Worth Lutz

Status: Closed
Priority: High
Assignee:

Category: Vectors

Affected QGIS version:3.2.1
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No
No
invalid
27456

Description

User Feedback

- Start QGIS 3.2.1

- click the "Open Shapefile Layer" toolbar button
-> QGIS opens the "New Shapefile Layer" dialog

- click the "..." button next to the File Name input

-> QGIS opens a "Save Layer As" dialog and immediately CRASHES -> "Oh Uh!" dialog

Report Details

Crash ID: e7e0f6a8f5d80a6b06b4605f526cda35950e6a3c

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :
DllUnregisterServer :
Ordinal67 :
CoGetProcessldentifier :
Ordinal1i12:

Ordinal112:

Ordinal112:

Ordinal112:

Ordinalti12:
CoGetProcessldentifier :
CoGetProcessldentifier :
CoGetProcessldentifier :
CoCreatelnstance :
CoCreatelnstance :
CoCreatelnstance :
SHCreateltemInKnownFolder :
Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :
SHELL32_lconOverlayManagerinit :
SHELL32_lconOverlayManagerinit :
SHELL32_IconOverlayManagerinit :
NeverProvidedByJunction :
NeverProvidedBydJunction :
NeverProvidedBydJunction :
DliCanUnloadNow :
SHCreateltemWithParent :
SHCreateltemWithParent :
SHCreateltemWithParent :
GetScaleFactorForMonitor :
A_SHAUpdate :
RtIReleaseSRWLockExclusive :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:
Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-08-16 12:46 AM - Giovanni Manghi
- Category changed from Unknown to Vectors

- Status changed from Open to Feedback

Can't confirm here. Clean 3.2 installation on win10. Please try again with a clean profile.

#2 - 2018-08-16 03:44 PM - Worth Lutz

- Status changed from Feedback to Open

I uninstalled all versions of QGIS from my computer and renamed the .qgis2 folder.

| downloaded latest standalone version of QGIS 3.2 and installed it.

Problem still exists. Crash every time | click the "..." button.

After reinstall, QGIS still knows recent projects so something was not uninstalled but | do not know where this information is stored.

#3 - 2018-08-16 04:08 PM - Worth Lutz

Additional information:

| have a test project where | was able to load data. When | try to export a layer to a geopackage, | get the same crash
when | click the "..." button to browse to the correct directory.

#4 - 2018-08-16 05:26 PM - Worth Lutz

User Feedback

Start QGIS
click open project button
QGIS opens "Choose a QGIS Project File to Open" dialog and then crashes to this "Oh Uh!" dialog.
| can open the project which shows up in "recent projects”. This is very frustrating as I'd like to try QGIS 3.

Report Details

Crash ID: ce53054575767fc71c3d105545424a4f9ef29a50

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :
DllUnregisterServer :
Ordinal67 :
CoGetProcessldentifier :
Ordinal112:

Ordinal112:

Ordinal112:

Ordinal112:

Ordinal112:
CoGetProcessldentifier :
CoGetProcessldentifier :
CoGetProcessldentifier :
CoCreatelnstance :
CoCreatelnstance :
CoCreatelnstance :
SHCreateltemInKnownFolder :
Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :
SHELL32_lconOverlayManagerinit :
SHELL32_lconOverlayManagerlnit :
SHELL32_lconOverlayManagerInit :
NeverProvidedByJunction :
NeverProvidedByJunction :
NeverProvidedBydJunction :
Ordinal873 :
NeverProvidedByJunction :
NeverProvidedBydJunction :
DlIiCanUnloadNow :
SHCreateltemWithParent :
SHCreateltemWithParent :
SHCreateltemWithParent :
GetScaleFactorForMonitor :
A_SHAUpdate :
RtlIReleaseSRWLockExclusive :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info
CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 10.0.17134

#5 - 2018-08-20 11:25 AM - Giovanni Manghi
- Status changed from Open to Feedback

Worth Lutz wrote:
| uninstalled all versions of QGIS from my computer and renamed the .qgis2 folder.

the .qgis2 folder is for QGIS 2.* not 3.*

In QGIS 3 please try with a new, clean profile: settings > user profiles.

#6 - 2018-08-20 03:21 PM - Worth Lutz

- Status changed from Feedback to Open

| realized .qgis2 was for QGIS 2. | just uninstalled everything just in case.

| created a new profile which started up a new window of QGIS 3.

| clicked the new shapefile button and then the "..." and the "Save Layer As" dialog opened. | tried to change directory and the entire application

disappeared.

| tried again with another new profile and now it crashes to the Crash dialog immediately after Opening the "Save Layer AS" dialog.

Further testing:

Open QGIS. Create a new profile. Click the "Open Project Button". Crash after dialog opens.

Is there any more information | can supply to help solve this?

#7 - 2018-08-20 06:23 PM - Giovanni Manghi
- Status changed from Open to Feedback

Is there any more information | can supply to help solve this?

hard to say, it is clearly a local issue because if it was a general one we would have received many more reports about it. If you had other/old qgis
installations in the same machine you could try something more drastic, such removing any qgis windows registry entry (I have seen such approach work in

some case).

#8 - 2018-08-21 09:23 PM - Worth Lutz

- Status changed from Feedback to Open

| have now deleted everything | can find on this computer related to QGIS including all the registry entries, QGIS v2 and v3.

No change. :(

| even tried creating a new Windows user and tried there. No luck. :(

The crash occurs any where | click the "..." button. In: New Shapefile Layer, New GeoPackage Layer, New SpatiaLite Layer.
Also when | click the Open Project button.
Could QGIS be looking at a file or directory which has bad/incorrect permissions? It is opening my Windows User directory when opening the file dialog

just before it crashes. What could | have broken?

Maybe | just need to get a new computer. ||

#9 - 2018-08-24 03:26 PM - Worth Lutz

| found some more QGIS items in the registry and deleted them. | have searched the registry and see no more. | made sure all versions of QGIS were
uninstalled. After an additional reinstall of v3.2.2 , it still crashes. Something is broken on my laptop.

| created a Windows 10 VM on my Linux Desktop and installed QGIS 3.2.2 and it works. This is definitely a local issue on my laptop. It is related to the
open or save file dialog and not necessarily the New Shapefile dialog.

| can get a crash consistently by clicking the "Open Project" button. The dialog opens and the program crashes before | even have a chance to change
directory and choose a project.

Someone with the ability may want to change the title to "crash at open project dialog", set the category appropriately and change the version to v3.2.2.

This issue can probably be closed as it seems to be a problem with my computer.

#10 - 2018-08-25 03:21 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to invalid

Closing as it seems to be a local issue.

#11 - 2018-11-16 02:32 PM - Jiirgen Fischer
- Duplicates Bug report #18260: qgis 3 crashes at start added
